Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERUniversalString

    java.lang.Object
      |
      +--org.bouncycastle.asn1.DERObject
            |
            +--org.bouncycastle.asn1.DERUniversalString

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

public class DERUniversalString
extends DERObject
implements DERString

DER UniversalString object.

Field Summary

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERUniversalString(byte[] string)` basic constructor - byte encoded string.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`static DERUniversalString` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return a Universal String from a tagged object.
`static DERUniversalString` | `getInstance(java.lang.Object obj)` return a Universal String from the passed in object.
`byte[]` | `getOctets()`
`java.lang.String` | `getString()` UniversalStrings have characters which are 4 bytes long - for the moment we just return them in Hex...

Methods inherited from class org.bouncycastle.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERUniversalString

    public DERUniversalString(byte[] string)

  basic constructor - byte encoded string.

Method Detail

### getInstance

    public static DERUniversalString getInstance(java.lang.Object obj)

  return a Universal String from the passed in object.

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERUniversalString getInstance(ASN1TaggedObject obj,
                                                 boolean explicit)

  return a Universal String from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getString

    public java.lang.String getString()

  UniversalStrings have characters which are 4 bytes long - for the moment we just return them in Hex...

  Specified by:
    `getString` in interface `DERString`

### getOctets

    public byte[] getOctets()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD